package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag985;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT985Creator;

/**
 * @author hedonghao
 * @date 2023/2/25
 */
public class Tag20Creator extends AbsTagCreate {

    private MT985Creator mt985Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt985Creator= (MT985Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value=mt985Creator.getTranReferenceNum();
        mt985Creator.set("20",tag20Value);
    }
}
